rootPath <- "/"

path <- paste(rootPath, "2ndYear/my_papers/bica/codes/", sep="")
pathSource <- paste(path, "Rcodes/", sep="")

modelResultsDir <- "results/spatial/"

resultPath <- paste(path, modelResultsDir, sep="")

loadResultFile <- function(){
	return(read.table(paste(resultPath, "result.txt", sep=""), stringsAsFactors=FALSE, header=TRUE))
}

doProportionAnalysis <- function(){
	resultDF <- loadResultFile()

	print(subset(resultDF, resultDF$Response == "NIL"))

	resultDF <- subset(resultDF, resultDF$Response != "NIL")

	resultDF$Correct <- as.numeric(resultDF$Correct)

	trialTypes <- unique(resultDF$TrialType)

	correctPropDF <- NULL

	for(currTrialTypeIndex in 1:length(trialTypes)){
		currTrialType <- trialTypes[currTrialTypeIndex]
		currTrialTypeDF <- subset(resultDF, resultDF$TrialType == currTrialType)

		correctProp  <- sum(currTrialTypeDF$Correct)/nrow(currTrialTypeDF)

		if(is.null(correctPropDF)) correctPropDF <- data.frame(Proportion=c(correctProp))
		else correctPropDF <- rbind(correctPropDF, c(correctProp))
	}

	correctPropDF <- cbind(correctPropDF, trialTypes)

	print(correctPropDF)
}

doProportionAnalysis()